Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.toolkit
Interface ActionLocalizer

All Known Implementing Classes:
  PEActionLocalizer

public interface ActionLocalizer

This interface, once properly implemented, may be used as a parameter for a PEAction, and can feed it with localized properties (e.g. tooltip, mnemonic...). Concrete implementation may be backed, for instance, by a ResourceBundle initialized from a properties file.

Since:
  jPicEdt 1.3.2
Version:
  $Id: ActionLocalizer.java,v 1.6.2.1 2007/09/02 11:56:28 reynal Exp $
Author:
  Sylvain Reynal

Method Summary
`KeyStroke` | `getActionAccelerator(String actionName)`
`String` | `getActionHelper(String actionName)`
`Icon` | `getActionIcon(String actionName)`
`Integer` | `getActionMnemonic(String actionName)`
`String` | `getActionName(String actionName)`
`String` | `getActionTooltip(String actionName)`

Method Detail

### getActionName

    public String getActionName(String actionName)

  Returns:
    a localized Action name (ie Swing Action.NAME property) for the given name
  Since:
    jPicEdt

### getActionTooltip

    public String getActionTooltip(String actionName)

  Returns:
    a localized Action tooltip for the given name (ie Swing Action.SHORT_DESCRIPTION)
  Since:
    jPicEdt

### getActionHelper

    public String getActionHelper(String actionName)

  Returns:
    a localized Action helper (ie Swing Action.LONG_DESCRIPTION)
  Since:
    jPicEdt

### getActionMnemonic

    public Integer getActionMnemonic(String actionName)

  Returns:
    a localized Action mnemonic (ie Swing Action.MNEMONIC_KEY)
  Since:
    jPicEdt

### getActionAccelerator

    public KeyStroke getActionAccelerator(String actionName)

  Returns:
    a localized Action accelerator keystroke (ie Swing Action.ACCELERATOR_KEY)
  Since:
    jPicEdt

### getActionIcon

    public Icon getActionIcon(String actionName)

  Returns:
    a localized Icon (ie Swing Action.SMALL_ICON)
  Since:
    jPicEdt

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org